Skip to main content
GET
List Members

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

campaignId
string
required

Unique campaign ID of the loyalty program.

Example:

"camp_rRsfatlwN7unSeUIJDCYedal"

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
page
integer

Which page of results to return. The lowest value is 1.

Required range: 1 <= x <= 100
customer
string

A tracking identifier of a customer who is the holder of the vouchers. It can be an id generated by Voucherify or the source_id. Remember to use the proper URL escape codes if the source_id contains special characters.

Example:

"cust_nk0N1uNQ1YnupAoJGOgvsODC"

created_at
object

A filter on the list based on the object created_at field. The value is a dictionary with the following options: before, after. A date value must be presented in ISO 8601 format (2016-11-16T14:14:31Z or 2016-11-16). An example: [created_at][before]=2017-09-08T13:52:18.227Z

updated_at
object

A filter on the list based on the object updated_at field. The value is a dictionary with the following options: before, after. A date value must be presented in ISO 8601 format (2016-11-16T14:14:31Z or 2016-11-16). An example: [updated_at][before]=2017-09-08T13:52:18.227Z

order
enum<string>

Sorts the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at,
updated_at,
-updated_at,
code,
-code
code
string
Example:

"2CpRCE2c"

ids
string[]

Response

200 - application/json

Returns a list of loyalty cards within a campaign.

Response body schema for GET v1/loyalties/{campaignId}/members.

object
string
default:list

The type of the object represented by JSON. This object stores information about members in a dictionary.

data_ref
enum<string>
default:vouchers

Identifies the name of the attribute that contains the array of voucher objects.

Available options:
vouchers
vouchers
Loyalty Member · object[]

Contains array of voucher objects representing loyalty cards, in other words, loyalty program members.

total
integer

Total number of voucher objects.

Last modified on June 15, 2026